package du8;

import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author votavon1
 */
public class Du8Test {
    
    public Du8Test() {
    }
    
    @Test
    public void testNapln(){
        Matice m = new Matice(4, 10);
        m.napln(100);
        assertEquals(Double.doubleToLongBits(100.0), Double.doubleToLongBits(m.getPrvek(0, 0)));
        assertEquals(Double.doubleToLongBits(110.0), Double.doubleToLongBits(m.getPrvek(1, 0)));
        assertEquals(Double.doubleToLongBits(120.0), Double.doubleToLongBits(m.getPrvek(2, 0)));
        assertEquals(Double.doubleToLongBits(133.0), Double.doubleToLongBits(m.getPrvek(3, 3)));
    }
    
    @Test
    public void testProhodRadky(){
        Matice m = new Matice(2, 2);
        m.napln(0);
        m.prohodRadky(0, 1);
        assertEquals(Double.doubleToLongBits(2.0), Double.doubleToLongBits(m.getPrvek(0, 0)));
        assertEquals(Double.doubleToLongBits(1.0), Double.doubleToLongBits(m.getPrvek(1, 1)));
        
        m = new Matice(5,1);
        m.napln(1000);
        m.prohodRadky(0, 4);
        m.prohodRadky(1, 0);
        m.prohodRadky(4, 1);
        assertEquals(Double.doubleToLongBits(1001.0), Double.doubleToLongBits(m.getPrvek(0, 0)));
        assertEquals(Double.doubleToLongBits(1000.0), Double.doubleToLongBits(m.getPrvek(1, 0)));
        assertEquals(Double.doubleToLongBits(1002.0), Double.doubleToLongBits(m.getPrvek(2, 0)));
        assertEquals(Double.doubleToLongBits(1003.0), Double.doubleToLongBits(m.getPrvek(3, 0)));
        assertEquals(Double.doubleToLongBits(1004.0), Double.doubleToLongBits(m.getPrvek(4, 0)));
    }

}
